<template>
    <section class="hero">
        <div class="contenidoHero">
            <div class="intro">
                <h1>
                    <span class="eslogan"> Cuidando a tu mejor amigo </span> <br />
                    <span class="nombre"> PETCARE</span>
                </h1>
                <p>
                    Una plataforma para llevar el control de las citas de tus mascotas y estar en contacto con tu veterinario <br />
                    Tambien puedes encontrar la lista de mascotas en busca de un hogar!
                </p>
                <base-button link to="/registro">Comienza ahora</base-button>
            </div>
            <div class="imagen">
                <img :src=heroImg alt="">
            </div>
        </div>
    </section>
    <section class="citas">
        <div class="contenido">
            <div class="imagen">
                <img :src=citasImg alt="">
            </div>
            <div class="texto">
                <h3>Administra tus citas</h3>
                <p>No olvides la cita de tu mascota.</p>
                <p>Podras ver el estado de la cita, hora y fecha.</p>
            </div>
        </div>
    </section>
    <section class="adopcion">
        <div class="contenido">
            <div class="texto">
                <h3>Vista la lista de mascotas en adopcion</h3>
                <p>Cada dia llegan nuevas mascotas en busca de un hogar.</p>
                <base-button link to="/mascotas">Ir</base-button>
            </div>
            <div class="imagen">
                <img :src=adopcionesImg alt="">
            </div>
        </div>
    </section>
</template>
<script>
export default {
    data() {
        return{
            heroImg:require('@/assets/perro.png'),
            citasImg:require('@/assets/citasSS.png'),
            adopcionesImg:require('@/assets/adopciones.png')
        };
    },
}
</script>
<style scoped>
h3{
    font-size: 2rem;
}
.hero{
    background-image: url('../assets/Diseño sin título-4.png');
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 50rem;
    background-size: cover;
    margin-top: 0;
}
.hero img{
    width: 35rem;
    height: 35rem;
}
.contenidoHero{
    padding-top: 5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.9rem;
    max-width: 1100px;
    margin: 2rem auto -6rem;
}
.intro{
    margin-left: 2rem;
}
.nombre{
    font-size: 5rem;
}
.eslogan{
    color: #f391e3;
}
.hero h1, p, .adopcion p{
    color: white;
}
.contenido{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.9rem;
    max-width: 1100px;
    margin: 5rem auto -6rem;
    margin-left: 15rem;
    margin-right: 15rem;
}
.citas img{
    width: 25rem;
    height: 25rem;
}
.citas p{
    color: black;
}
.citas h3{
    color: #3a0061;
}
.adopcion{
    margin-top: 15rem;
    background-color: #8C52FF;
    padding-top: 3rem;
    padding-bottom: 10rem;
}
.adopcion img{
    width: 35rem;
    height: 20rem;
}
</style>